#! /bin/sh

# Uncomment the line bellow and set the proper value
# export MN8_HOME=/opt/mn8

# Uncomment the line bellow and set the proper value
# export JAVA_HOME=/usr/java/jdk

if [ "$JAVA_HOME" = "" ] ; then
    echo "ERROR: JAVA_HOME not found in your environment."
    echo 
    echo "Please, set the JAVA_HOME variable in your environment to match the"
    echo "location of the Java Virtual Machine you want to use."
    exit 1
fi

if [ "$MN8_HOME" = "" ] ; then
    echo "ERROR: MN8_HOME not found in your environment."
    echo 
    echo "Please, set the MN8_HOME variable in your environment to match the"
    echo "location of the mn8 interpreter you want to use."
    exit 1
fi

CLASSPATH=$CLASSPATH:$MN8_HOME/mn8-0.7a.jar
CLASSPATH=`echo $MN8_HOME/lib/*.jar | tr ' ' ':'`:$CLASSPATH

$JAVA_HOME/bin/java -Xms30m -Dmn8.home=$MN8_HOME -cp $MN8_HOME/build/classes/main:$MN8_HOME:$CLASSPATH org.media.mn8.Main "$*"
